aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-libs/boost/Manifest1
-rw-r--r--dev-libs/boost/boost-1.72.0-r2.ebuild356
-rw-r--r--dev-libs/boost/files/boost-1.71.0-build-auto_index-tool.patch13
-rw-r--r--dev-libs/boost/files/boost-1.71.0-context-x32.patch38
-rw-r--r--dev-libs/boost/files/boost-1.71.0-disable_icu_rpath.patch29
-rw-r--r--dev-libs/boost/files/boost-1.72.0-boost-mpi-python.patch50
-rw-r--r--dev-libs/boost/files/boost-1.72.0-missing-serialization-split_member-include.patch29
-rw-r--r--dev-libs/boost/files/boost-1.72.0-revert-cease-dependence-on-range.patch49
-rw-r--r--dev-libs/boost/metadata.xml21
-rw-r--r--dev-util/boost-build/Manifest1
-rw-r--r--dev-util/boost-build/boost-build-1.72.0.ebuild73
-rw-r--r--dev-util/boost-build/files/boost-build-1.71.0-add-none-feature-options.patch22
-rw-r--r--dev-util/boost-build/files/boost-build-1.71.0-disable_python_rpath.patch11
-rw-r--r--dev-util/boost-build/files/boost-build-1.71.0-fix-test.patch11
-rw-r--r--dev-util/boost-build/files/boost-build-1.71.0-no-implicit-march-flags.patch266
-rw-r--r--dev-util/boost-build/files/boost-build-1.71.0-respect-c_ld-flags.patch9
-rw-r--r--dev-util/boost-build/files/site-config.jam11
-rw-r--r--dev-util/boost-build/metadata.xml11
18 files changed, 0 insertions, 1001 deletions
diff --git a/dev-libs/boost/Manifest b/dev-libs/boost/Manifest
deleted file mode 100644
index 34653ed7e..000000000
--- a/dev-libs/boost/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST boost_1_72_0.tar.bz2 106907358 BLAKE2B ab270a0e3cb24da687d86785e2d2e6d7731b4dbc07bd839eadb642dfa5a428ad584acb1f3529661a8de9a986008ff3427491041059ea2b742348d02e00761cd8 SHA512 63bbd1743e7c904b2e69fdc2eafd1c2a8a30fd70d960dcd366059d0100f000cb605d56cbd9397bb18421631f1c9552a772c434d0f0caddbe56302273f51fd1f6
diff --git a/dev-libs/boost/boost-1.72.0-r2.ebuild b/dev-libs/boost/boost-1.72.0-r2.ebuild
deleted file mode 100644
index dffb3e5f9..000000000
--- a/dev-libs/boost/boost-1.72.0-r2.ebuild
+++ /dev/null
@@ -1,356 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit flag-o-matic multiprocessing python-r1 toolchain-funcs multilib-minimal
-
-MY_PV="$(ver_rs 1- _)"
-MAJOR_V="$(ver_cut 1-2)"
-
-DESCRIPTION="Boost Libraries for C++"
-HOMEPAGE="https://www.boost.org/"
-SRC_URI="https://dl.bintray.com/boostorg/release/${PV}/source/boost_${MY_PV}.tar.bz2"
-
-LICENSE="Boost-1.0"
-SLOT="0/${PV}" # ${PV} instead ${MAJOR_V} due to bug 486122
-KEYWORDS="~amd64"
-IUSE="bzip2 context debug doc icu lzma +nls mpi numpy python static-libs +threads tools zlib zstd"
-REQUIRED_USE="
- mpi? ( threads )
- python? ( ${PYTHON_REQUIRED_USE} )"
-
-# the tests will never fail because these are not intended as sanity
-# tests at all. They are more a way for upstream to check their own code
-# on new compilers. Since they would either be completely unreliable
-# (failing for no good reason) or completely useless (never failing)
-# there is no point in having them in the ebuild to begin with.
-RESTRICT="test"
-
-RDEPEND="
- bzip2? ( app-arch/bzip2:=[${MULTILIB_USEDEP}] )
- icu? ( >=dev-libs/icu-3.6:=[${MULTILIB_USEDEP}] )
- !icu? ( virtual/libiconv[${MULTILIB_USEDEP}] )
- lzma? ( app-arch/xz-utils:=[${MULTILIB_USEDEP}] )
- mpi? ( >=virtual/mpi-2.0-r4[${MULTILIB_USEDEP},cxx,threads] )
- python? (
- ${PYTHON_DEPS}
- numpy? ( $(python_gen_cond_dep 'dev-python/numpy[${PYTHON_USEDEP}]' -3) )
- )
- zlib? ( sys-libs/zlib:=[${MULTILIB_USEDEP}] )
- zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )"
-DEPEND="${RDEPEND}"
-BDEPEND="=dev-util/boost-build-${MAJOR_V}*"
-
-S="${WORKDIR}/${PN}_${MY_PV}"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.71.0-disable_icu_rpath.patch
- "${FILESDIR}"/${PN}-1.71.0-context-x32.patch
- "${FILESDIR}"/${PN}-1.71.0-build-auto_index-tool.patch
- # Bug 703294, incomplete Boost.Serialization refactoring
- "${FILESDIR}"/${PN}-1.72.0-missing-serialization-split_member-include.patch
- # Bug 703036, per python-impl Boost.MPI
- "${FILESDIR}"/${PN}-1.72.0-boost-mpi-python.patch
- # Bug 704128, missing include on Boost.Ranges
- "${FILESDIR}"/${PN}-1.72.0-revert-cease-dependence-on-range.patch
-)
-
-python_bindings_needed() {
- multilib_is_native_abi && use python
-}
-
-tools_needed() {
- multilib_is_native_abi && use tools
-}
-
-create_user-config.jam() {
- local user_config_jam="${BUILD_DIR}"/user-config.jam
- if [[ -s ${user_config_jam} ]]; then
- einfo "${user_config_jam} already exists, skipping configuration"
- return
- else
- einfo "Creating configuration in ${user_config_jam}"
- fi
-
- local compiler compiler_version compiler_executable="$(tc-getCXX)"
- if [[ ${CHOST} == *-darwin* ]]; then
- compiler="darwin"
- compiler_version="$(gcc-fullversion)"
- else
- compiler="gcc"
- compiler_version="$(gcc-version)"
- fi
-
- if use mpi; then
- local mpi_configuration="using mpi ;"
- fi
-
- cat > "${user_config_jam}" <<- __EOF__ || die
- using ${compiler} : ${compiler_version} : ${compiler_executable} : <cflags>"${CFLAGS}" <cxxflags>"${CXXFLAGS}" <linkflags>"${LDFLAGS}" ;
- ${mpi_configuration}
- __EOF__
-
- if python_bindings_needed; then
- append_to_user_config() {
- local py_config
- if tc-is-cross-compiler; then
- py_config="using python : ${EPYTHON#python} : : ${ESYSROOT}/usr/include/${EPYTHON} : ${ESYSROOT}/usr/$(get_libdir) ;"
- else
- py_config="using python : ${EPYTHON#python} : ${PYTHON} : $(python_get_includedir) ;"
- fi
- echo "${py_config}" >> "${user_config_jam}" || die
- }
- python_foreach_impl append_to_user_config
- fi
-
- if python_bindings_needed && use numpy; then
- einfo "Enabling support for NumPy extensions in Boost.Python"
- else
- einfo "Disabling support for NumPy extensions in Boost.Python"
-
- # Boost.Build does not allow for disabling of numpy
- # extensions, thereby leading to automagic numpy
- # https://github.com/boostorg/python/issues/111#issuecomment-280447482
- sed \
- -e 's/\[ unless \[ python\.numpy \] : <build>no \]/<build>no/g' \
- -i "${BUILD_DIR}"/libs/python/build/Jamfile || die
- fi
-}
-
-pkg_setup() {
- # Bail out on unsupported build configuration, bug #456792
- if [[ -f "${EROOT}"/etc/site-config.jam ]]; then
- if ! grep -q 'gentoo\(debug\|release\)' "${EROOT}"/etc/site-config.jam; then
- eerror "You are using custom ${EROOT}/etc/site-config.jam without defined gentoorelease/gentoodebug targets."
- eerror "Boost can not be built in such configuration."
- eerror "Please, either remove this file or add targets from ${EROOT}/usr/share/boost-build/site-config.jam to it."
- die "Unsupported target in ${EROOT}/etc/site-config.jam"
- fi
- fi
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-ejam() {
- create_user-config.jam
-
- local b2_opts=( "--user-config=${BUILD_DIR}/user-config.jam" )
- if python_bindings_needed; then
- append_to_b2_opts() {
- b2_opts+=( python="${EPYTHON#python}" )
- }
- python_foreach_impl append_to_b2_opts
- else
- b2_opts+=( --without-python )
- fi
- b2_opts+=( "$@" )
-
- echo b2 "${b2_opts[@]}" >&2
- b2 "${b2_opts[@]}"
-}
-
-src_configure() {
- # Workaround for too many parallel processes requested, bug #506064
- [[ "$(makeopts_jobs)" -gt 64 ]] && MAKEOPTS="${MAKEOPTS} -j64"
-
- OPTIONS=(
- $(usex debug gentoodebug gentoorelease)
- "-j$(makeopts_jobs)"
- -q
- -d+2
- pch=off
- $(usex icu "-sICU_PATH=${ESYSROOT}/usr" '--disable-icu boost.locale.icu=off')
- $(usex mpi '' '--without-mpi')
- $(usex nls '' '--without-locale')
- $(usex context '' '--without-context --without-coroutine --without-fiber')
- $(usex threads '' '--without-thread')
- --without-stacktrace
- --boost-build="${BROOT}"/usr/share/boost-build
- --prefix="${ED}/usr"
- --layout=system
- # CMake has issues working with multiple python impls,
- # disable cmake config generation for the time being
- # https://github.com/boostorg/python/issues/262#issuecomment-483069294
- --no-cmake-config
- # building with threading=single is currently not possible
- # https://svn.boost.org/trac/boost/ticket/7105
- threading=multi
- link=$(usex static-libs shared,static shared)
- # this seems to be the only way to disable compression algorithms
- # https://www.boost.org/doc/libs/1_70_0/libs/iostreams/doc/installation.html#boost-build
- -sNO_BZIP2=$(usex bzip2 0 1)
- -sNO_LZMA=$(usex lzma 0 1)
- -sNO_ZLIB=$(usex zlib 0 1)
- -sNO_ZSTD=$(usex zstd 0 1)
- )
-
- if [[ ${CHOST} == *-darwin* ]]; then
- # We need to add the prefix, and in two cases this exceeds, so prepare
- # for the largest possible space allocation.
- append-ldflags -Wl,-headerpad_max_install_names
- fi
-
- # Use C++14 globally as of 1.62
- append-cxxflags -std=c++14
-}
-
-multilib_src_compile() {
- ejam "${OPTIONS[@]}" || die
-
- if tools_needed; then
- pushd tools >/dev/null || die
- ejam \
- "${OPTIONS[@]}" \
- || die "Building of Boost tools failed"
- popd >/dev/null || die
- fi
-}
-
-multilib_src_install_all() {
- if ! use numpy; then
- rm -r "${ED}"/usr/include/boost/python/numpy* || die
- fi
-
- if use python; then
- if use mpi; then
- move_mpi_py_into_sitedir() {
- local pyver="${EPYTHON#python}"
- python_moduleinto boost
- python_domodule "${ED}"/usr/$(get_libdir)/mpi${pyver/./}.so
- rm "${ED}"/usr/$(get_libdir)/mpi${pyver/./}* || die
- dosym mpi${pyver/./}.so $(python_get_sitedir)/boost/mpi.so
-
- # create a proper python package
- touch "${D}"/$(python_get_sitedir)/boost/__init__.py || die
- python_optimize
- }
- python_foreach_impl move_mpi_py_into_sitedir
- else
- rm -r "${ED}"/usr/include/boost/mpi/python* || die
- fi
- else
- rm -r "${ED}"/usr/include/boost/{python*,mpi/python*,parameter/aux_/python,parameter/python*} || die
- fi
-
- if ! use nls; then
- rm -r "${ED}"/usr/include/boost/locale || die
- fi
-
- if ! use context; then
- rm -r "${ED}"/usr/include/boost/context || die
- rm -r "${ED}"/usr/include/boost/coroutine{,2} || die
- rm "${ED}"/usr/include/boost/asio/spawn.hpp || die
- fi
-
- if use doc; then
- # find extraneous files that shouldn't be installed
- # as part of the documentation and remove them.
- find libs/*/* \( -iname 'test' -o -iname 'src' \) -exec rm -rf '{}' + || die
- find doc \( -name 'Jamfile.v2' -o -name 'build' -o -name '*.manifest' \) -exec rm -rf '{}' + || die
- find tools \( -name 'Jamfile.v2' -o -name 'src' -o -name '*.cpp' -o -name '*.hpp' \) -exec rm -rf '{}' + || die
-
- docinto html
- dodoc *.{htm,html,png,css}
- dodoc -r doc libs more tools
-
- # To avoid broken links
- dodoc LICENSE_1_0.txt
-
- dosym ../../../../include/boost /usr/share/doc/${PF}/html/boost
- fi
-}
-
-multilib_src_install() {
- ejam \
- "${OPTIONS[@]}" \
- --includedir="${ED}/usr/include" \
- --libdir="${ED}/usr/$(get_libdir)" \
- install || die "Installation of Boost libraries failed"
-
- pushd "${ED}/usr/$(get_libdir)" >/dev/null || die
-
- local ext=$(get_libname)
- if use threads; then
- local f
- for f in *${ext}; do
- dosym ${f} /usr/$(get_libdir)/${f/${ext}/-mt${ext}}
- done
- fi
-
- popd >/dev/null || die
-
- if tools_needed; then
- dobin dist/bin/*
-
- insinto /usr/share
- doins -r dist/share/boostbook
- fi
-
- # boost's build system truely sucks for not having a destdir. Because for
- # this reason we are forced to build with a prefix that includes the
- # DESTROOT, dynamic libraries on Darwin end messed up, referencing the
- # DESTROOT instread of the actual EPREFIX. There is no way out of here
- # but to do it the dirty way of manually setting the right install_names.
- if [[ ${CHOST} == *-darwin* ]]; then
- einfo "Working around completely broken build-system(tm)"
- local d
- for d in "${ED}"/usr/lib/*.dylib; do
- if [[ -f ${d} ]]; then
- # fix the "soname"
- ebegin " correcting install_name of ${d#${ED}}"
- install_name_tool -id "/${d#${D}}" "${d}"
- eend $?
- # fix references to other libs
- refs=$(otool -XL "${d}" | \
- sed -e '1d' -e 's/^\t//' | \
- grep "^libboost_" | \
- cut -f1 -d' ')
- local r
- for r in ${refs}; do
- ebegin " correcting reference to ${r}"
- install_name_tool -change \
- "${r}" \
- "${EPREFIX}/usr/lib/${r}" \
- "${d}"
- eend $?
- done
- fi
- done
- fi
-}
-
-pkg_preinst() {
- # Yai for having symlinks that are nigh-impossible to remove without
- # resorting to dirty hacks like these. Removes lingering symlinks
- # from the slotted versions.
- local symlink
- for symlink in "${EROOT}"/usr/include/boost "${EROOT}"/usr/share/boostbook; do
- if [[ -L ${symlink} ]]; then
- rm -f "${symlink}" || die
- fi
- done
-
- # some ancient installs still have boost cruft lying around
- # for unknown reasons, causing havoc for reverse dependencies
- # Bug: 607734
- rm -rf "${EROOT}"/usr/include/boost-1_[3-5]? || die
-}
-
-pkg_postinst() {
- elog "Boost.Regex is *extremely* ABI sensitive. If you get errors such as"
- elog
- elog " undefined reference to \`boost::re_detail_$(ver_cut 1)0$(ver_cut 2)00::cpp_regex_traits_implementation"
- elog " <char>::transform_primary[abi:cxx11](char const*, char const*) const'"
- elog
- elog "Then you need to recompile Boost and all its reverse dependencies"
- elog "using the same toolchain. In general, *every* change of the C++ toolchain"
- elog "requires a complete rebuild of the boost-dependent ecosystem."
- elog
- elog "See for instance https://bugs.gentoo.org/638138"
-}
diff --git a/dev-libs/boost/files/boost-1.71.0-build-auto_index-tool.patch b/dev-libs/boost/files/boost-1.71.0-build-auto_index-tool.patch
deleted file mode 100644
index ca793b9d0..000000000
--- a/dev-libs/boost/files/boost-1.71.0-build-auto_index-tool.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Build auto_index tool with USE="tools"
-See also: https://bugs.gentoo.org/529066
-
---- a/tools/Jamfile.v2
-+++ b/tools/Jamfile.v2
-@@ -18,6 +18,7 @@
- ;
-
- TOOLS =
-+ auto_index/build//auto_index
- bcp//bcp
- inspect/build//inspect
- quickbook//quickbook
diff --git a/dev-libs/boost/files/boost-1.71.0-context-x32.patch b/dev-libs/boost/files/boost-1.71.0-context-x32.patch
deleted file mode 100644
index 9ee3d545d..000000000
--- a/dev-libs/boost/files/boost-1.71.0-context-x32.patch
+++ /dev/null
@@ -1,38 +0,0 @@
---- a/libs/context/src/asm/jump_i386_sysv_elf_gas.S
-+++ b/libs/context/src/asm/jump_i386_sysv_elf_gas.S
-@@ -24,6 +24,10 @@
- * *
- ****************************************************************************************/
-
-+#ifdef __x86_64__
-+#include "jump_x86_64_sysv_elf_gas.S"
-+#else
-+
- .file "jump_i386_sysv_elf_gas.S"
- .text
- .globl jump_fcontext
-@@ -81,3 +85,5 @@
-
- /* Mark that we don't need executable stack. */
- .section .note.GNU-stack,"",%progbits
-+
-+#endif
---- a/libs/context/src/asm/make_i386_sysv_elf_gas.S
-+++ b/libs/context/src/asm/make_i386_sysv_elf_gas.S
-@@ -24,6 +24,10 @@
- * *
- ****************************************************************************************/
-
-+#ifdef __x86_64__
-+#include "make_x86_64_sysv_elf_gas.S"
-+#else
-+
- .file "make_i386_sysv_elf_gas.S"
- .text
- .globl make_fcontext
-@@ -105,3 +109,5 @@
-
- /* Mark that we don't need executable stack. */
- .section .note.GNU-stack,"",%progbits
-+
-+#endif
diff --git a/dev-libs/boost/files/boost-1.71.0-disable_icu_rpath.patch b/dev-libs/boost/files/boost-1.71.0-disable_icu_rpath.patch
deleted file mode 100644
index 32faf8d0e..000000000
--- a/dev-libs/boost/files/boost-1.71.0-disable_icu_rpath.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- a/libs/locale/build/Jamfile.v2
-+++ b/libs/locale/build/Jamfile.v2
-@@ -65,8 +65,8 @@
-
- if $(ICU_LINK)
- {
-- ICU_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <dll-path>$(ICU_PATH)/bin <runtime-link>shared ;
-- ICU64_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <dll-path>$(ICU_PATH)/bin64 <runtime-link>shared ;
-+ ICU_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <runtime-link>shared ;
-+ ICU64_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <runtime-link>shared ;
- }
- else
- {
-@@ -124,7 +124,6 @@
- <library>icuuc/<link>shared/<runtime-link>shared
- <library>icudt/<link>shared/<runtime-link>shared
- <library>icuin/<link>shared/<runtime-link>shared
-- <dll-path>$(ICU_PATH)/bin
- <runtime-link>shared ;
-
-
-@@ -183,7 +182,6 @@
- <library>icuuc_64/<link>shared/<runtime-link>shared
- <library>icudt_64/<link>shared/<runtime-link>shared
- <library>icuin_64/<link>shared/<runtime-link>shared
-- <dll-path>$(ICU_PATH)/bin64
- <runtime-link>shared ;
-
-
diff --git a/dev-libs/boost/files/boost-1.72.0-boost-mpi-python.patch b/dev-libs/boost/files/boost-1.72.0-boost-mpi-python.patch
deleted file mode 100644
index 8fb164a62..000000000
--- a/dev-libs/boost/files/boost-1.72.0-boost-mpi-python.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-Tag Boost.MPI python impls properly to avoid name clash
-https://github.com/boostorg/mpi/issues/112
-
---- a/boostcpp.jam
-+++ b/boostcpp.jam
-@@ -185,7 +185,7 @@
-
- rule tag ( name : type ? : property-set )
- {
-- if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB
-+ if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB PYTHON_EXTENSION
- {
- local args = $(.format-name-args) ;
- if $(layout) = versioned
-@@ -223,7 +223,7 @@
- {
- local result = $(name) ;
-
-- if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB
-+ if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB PYTHON_EXTENSION
- {
- # Add Python version suffix
-
---- a/libs/mpi/build/Jamfile.v2
-+++ b/libs/mpi/build/Jamfile.v2
-@@ -58,13 +58,13 @@
- rule python-tag ( name : type ? : property-set )
- {
- local result = $(name) ;
-- if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB
-+ if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB PYTHON_EXTENSION
- {
- local version = [ $(property-set).get <python> ] ;
- local lib-suffix = [ version-suffix $(version) ] ;
- result = $(result)$(lib-suffix) ;
- }
-- if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB && $(PYTHON_ID)
-+ if $(type) in STATIC_LIB SHARED_LIB IMPORT_LIB PYTHON_EXTENSION && $(PYTHON_ID)
- {
- result = $(result)-$(PYTHON_ID) ;
- }
-@@ -168,6 +168,8 @@
- <link>shared:<define>BOOST_PYTHON_DYN_LINK=1
- <link>shared <runtime-link>shared
- <python-debugging>on:<define>BOOST_DEBUG_PYTHON
-+ -<tag>@$(BOOST_JAMROOT_MODULE)%$(BOOST_JAMROOT_MODULE).tag
-+ <tag>@$(__name__).python-tag
- ;
-
- mpi_python_libs = boost_mpi_python mpi ;
diff --git a/dev-libs/boost/files/boost-1.72.0-missing-serialization-split_member-include.patch b/dev-libs/boost/files/boost-1.72.0-missing-serialization-split_member-include.patch
deleted file mode 100644
index 0c9f72583..000000000
--- a/dev-libs/boost/files/boost-1.72.0-missing-serialization-split_member-include.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-Missing #include, as the split_member.hpp include is not
-part of the nvp.hpp interface, and hence cannot be relied
-upon to be included transitively.
-
-Confirmed on
-https://github.com/boostorg/serialization/commit/c32a663c9963385430abc563f9c85f94d8da43a9#r36528430
-
-Bug: https://bugs.gentoo.org/703294
-
---- a/boost/bimap/detail/map_view_iterator.hpp
-+++ b/boost/bimap/detail/map_view_iterator.hpp
-@@ -22,6 +22,7 @@
-
- #ifndef BOOST_BIMAP_DISABLE_SERIALIZATION
- #include <boost/serialization/nvp.hpp>
-+ #include <boost/serialization/split_member.hpp>
- #endif // BOOST_BIMAP_DISABLE_SERIALIZATION
-
- #include <boost/iterator/detail/enable_if.hpp>
---- a/boost/bimap/detail/set_view_iterator.hpp
-+++ b/boost/bimap/detail/set_view_iterator.hpp
-@@ -22,6 +22,7 @@
-
- #ifndef BOOST_BIMAP_DISABLE_SERIALIZATION
- #include <boost/serialization/nvp.hpp>
-+ #include <boost/serialization/split_member.hpp>
- #endif // BOOST_BIMAP_DISABLE_SERIALIZATION
-
- #include <boost/iterator/detail/enable_if.hpp>
diff --git a/dev-libs/boost/files/boost-1.72.0-revert-cease-dependence-on-range.patch b/dev-libs/boost/files/boost-1.72.0-revert-cease-dependence-on-range.patch
deleted file mode 100644
index a6002074a..000000000
--- a/dev-libs/boost/files/boost-1.72.0-revert-cease-dependence-on-range.patch
+++ /dev/null
@@ -1,49 +0,0 @@
-From 436e1dbe6fcd31523d261d18ad011392f1d6fbbc Mon Sep 17 00:00:00 2001
-From: Oliver Kowalke <oliver.kowalke@gmail.com>
-Date: Sun, 1 Dec 2019 20:40:28 +0100
-Subject: [PATCH] Revert "Cease dependence on Range"
-
-This reverts commit 0c556bb59241e682bbcd3f572815149c5a9b17db.
-
-see #44 (One test fails to compile after boostorg/coroutine submodule updated)
----
- boost/coroutine/asymmetric_coroutine.hpp | 12 +++---------
- 1 file changed, 3 insertions(+), 9 deletions(-)
-
-diff --git a/boost/coroutine/asymmetric_coroutine.hpp b/boost/coroutine/asymmetric_coroutine.hpp
-index ea96981..640896f 100644
---- a/boost/coroutine/asymmetric_coroutine.hpp
-+++ b/boost/coroutine/asymmetric_coroutine.hpp
-@@ -14,6 +14,7 @@
- #include <boost/assert.hpp>
- #include <boost/config.hpp>
- #include <boost/move/move.hpp>
-+#include <boost/range.hpp>
- #include <boost/throw_exception.hpp>
- #include <boost/utility/explicit_operator_bool.hpp>
-
-@@ -2354,19 +2355,12 @@ end( push_coroutine< R > & c)
-
- }
-
--// forward declaration of Boost.Range traits to break dependency on it
--template<typename C, typename Enabler>
--struct range_mutable_iterator;
--
--template<typename C, typename Enabler>
--struct range_const_iterator;
--
- template< typename Arg >
--struct range_mutable_iterator< coroutines::push_coroutine< Arg >, void >
-+struct range_mutable_iterator< coroutines::push_coroutine< Arg > >
- { typedef typename coroutines::push_coroutine< Arg >::iterator type; };
-
- template< typename R >
--struct range_mutable_iterator< coroutines::pull_coroutine< R >, void >
-+struct range_mutable_iterator< coroutines::pull_coroutine< R > >
- { typedef typename coroutines::pull_coroutine< R >::iterator type; };
-
- }
---
-2.24.1
-
diff --git a/dev-libs/boost/metadata.xml b/dev-libs/boost/metadata.xml
deleted file mode 100644
index 4f031402a..000000000
--- a/dev-libs/boost/metadata.xml
+++ /dev/null
@@ -1,21 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <description>Gentoo Science Project</description>
- </maintainer>
- <use>
- <flag name="context">Build and install the Boost.Context (and Boost.Fiber) library and all other Boost libraries that depend on it</flag>
- <flag name="debug">Build and install only the debug version of the Boost libraries. Only enable this flag if you're developing against boost.</flag>
- <flag name="doc">Install the full API documentation documentation. This takes over 200MB of extra disk space.</flag>
- <flag name="nls">Build libboost_locale. This library requires compatible C library interfaces, which might not be provided by uClibc or other embedded libraries.</flag>
- <flag name="numpy">Optionally build NumPy extensions when Boost.Python is enabled</flag>
- <flag name="threads">Build multi-thread-compatible libraries instead of single-threaded only.</flag>
- <flag name="tools">Build and install the boost tools (bcp, quickbook, inspect, wave)</flag>
- </use>
- <upstream>
- <remote-id type="cpe">cpe:/a:boost:boost</remote-id>
- <remote-id type="sourceforge">boost</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/dev-util/boost-build/Manifest b/dev-util/boost-build/Manifest
deleted file mode 100644
index 34653ed7e..000000000
--- a/dev-util/boost-build/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST boost_1_72_0.tar.bz2 106907358 BLAKE2B ab270a0e3cb24da687d86785e2d2e6d7731b4dbc07bd839eadb642dfa5a428ad584acb1f3529661a8de9a986008ff3427491041059ea2b742348d02e00761cd8 SHA512 63bbd1743e7c904b2e69fdc2eafd1c2a8a30fd70d960dcd366059d0100f000cb605d56cbd9397bb18421631f1c9552a772c434d0f0caddbe56302273f51fd1f6
diff --git a/dev-util/boost-build/boost-build-1.72.0.ebuild b/dev-util/boost-build/boost-build-1.72.0.ebuild
deleted file mode 100644
index a07b95b4f..000000000
--- a/dev-util/boost-build/boost-build-1.72.0.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit prefix toolchain-funcs
-
-MY_PV="$(ver_rs 1- _)"
-
-DESCRIPTION="A system for large project software construction, simple to use and powerful"
-HOMEPAGE="https://boostorg.github.io/build/"
-SRC_URI="https://dl.bintray.com/boostorg/release/${PV}/source/boost_${MY_PV}.tar.bz2"
-
-LICENSE="Boost-1.0"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="examples"
-RESTRICT="test"
-
-S="${WORKDIR}/boost_${MY_PV}/tools/build/src"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.71.0-disable_python_rpath.patch
- "${FILESDIR}"/${PN}-1.71.0-add-none-feature-options.patch
- "${FILESDIR}"/${PN}-1.71.0-respect-c_ld-flags.patch
- "${FILESDIR}"/${PN}-1.71.0-no-implicit-march-flags.patch
-)
-
-src_unpack() {
- tar xojf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build || die "unpacking tar failed"
-}
-
-src_prepare() {
- default
-
- pushd .. >/dev/null || die
- eapply "${FILESDIR}"/${PN}-1.71.0-fix-test.patch
- popd >/dev/null || die
-}
-
-src_configure() {
- hprefixify engine/Jambase
- tc-export CXX
-}
-
-src_compile() {
- cd engine || die
- ./build.sh cxx -d+2 --without-python || die "building bjam failed"
-}
-
-src_test() {
- # Forget tests, bjam is a lost cause
- :
-}
-
-src_install() {
- dobin engine/{bjam,b2}
-
- insinto /usr/share/boost-build
- doins -r "${FILESDIR}/site-config.jam" \
- ../boost-build.jam bootstrap.jam build-system.jam ../example/user-config.jam *.py \
- build kernel options tools util
-
- find "${ED}"/usr/share/boost-build -iname '*.py' -delete || die
-
- dodoc ../notes/{changes,release_procedure,build_dir_option,relative_source_paths}.txt
-
- if use examples; then
- docinto examples
- dodoc -r ../example/.
- docompress -x /usr/share/doc/${PF}/examples
- fi
-}
diff --git a/dev-util/boost-build/files/boost-build-1.71.0-add-none-feature-options.patch b/dev-util/boost-build/files/boost-build-1.71.0-add-none-feature-options.patch
deleted file mode 100644
index ddd1641d1..000000000
--- a/dev-util/boost-build/files/boost-build-1.71.0-add-none-feature-options.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/tools/features/debug-feature.jam
-+++ b/tools/features/debug-feature.jam
-@@ -8,7 +8,7 @@
- import feature ;
-
- feature.feature debug-symbols
-- : on off
-+ : on off none
- : propagated ;
-
- feature.feature profiling
---- a/tools/features/optimization-feature.jam
-+++ b/tools/features/optimization-feature.jam
-@@ -8,7 +8,7 @@
- import feature ;
-
- feature.feature optimization
-- : off speed space
-+ : off none speed space
- : propagated ;
-
- feature.feature inlining
diff --git a/dev-util/boost-build/files/boost-build-1.71.0-disable_python_rpath.patch b/dev-util/boost-build/files/boost-build-1.71.0-disable_python_rpath.patch
deleted file mode 100644
index b7b47cc93..000000000
--- a/dev-util/boost-build/files/boost-build-1.71.0-disable_python_rpath.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/tools/python.jam
-+++ b/tools/python.jam
-@@ -1000,7 +1000,7 @@
- # linux).
- : $(usage-requirements)
- <testing.launcher>$(set-PYTHONPATH)
-- <library-path>$(libraries) <dll-path>$(dll-path) <library>python.lib
-+ <library-path>$(libraries) <library>python.lib
- ;
- }
-
diff --git a/dev-util/boost-build/files/boost-build-1.71.0-fix-test.patch b/dev-util/boost-build/files/boost-build-1.71.0-fix-test.patch
deleted file mode 100644
index 3f8b177c7..000000000
--- a/dev-util/boost-build/files/boost-build-1.71.0-fix-test.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/test/startup_v2.py
-+++ b/test/startup_v2.py
-@@ -50,7 +50,7 @@
- return re.match(expected, actual, re.DOTALL) != None
-
-
--t = BoostBuild.Tester(match=match_re, boost_build_path="", pass_toolset=0)
-+t = BoostBuild.Tester(match=match_re, boost_build_path="/invalid/location", pass_toolset=0)
- t.set_tree("startup")
- check_for_existing_boost_build_jam(t)
-
diff --git a/dev-util/boost-build/files/boost-build-1.71.0-no-implicit-march-flags.patch b/dev-util/boost-build/files/boost-build-1.71.0-no-implicit-march-flags.patch
deleted file mode 100644
index cd184030d..000000000
--- a/dev-util/boost-build/files/boost-build-1.71.0-no-implicit-march-flags.patch
+++ /dev/null
@@ -1,266 +0,0 @@
-Prevent bjam from injecting what it thinks are great -march/-mcpu flags
-in order to optimize code for you. This breaks on 32-bit builds, because
--march=i686 will not work on an i486 CHOST.
-
-See also:
-https://bugs.gentoo.org/624616
-
---- a/tools/gcc.jam
-+++ b/tools/gcc.jam
-@@ -1187,128 +1187,8 @@
- # x86 and compatible
- # The 'native' option appeared in gcc 4.2 so we cannot safely use it as default.
- # Use i686 instead for 32-bit.
--toolset.flags gcc OPTIONS <architecture>x86/<address-model>32/<instruction-set> : -march=i686 ;
--cpu-flags gcc OPTIONS : x86 : native : -march=native ;
--cpu-flags gcc OPTIONS : x86 : i486 : -march=i486 ;
--cpu-flags gcc OPTIONS : x86 : i586 : -march=i586 ;
--cpu-flags gcc OPTIONS : x86 : i686 : -march=i686 ;
--cpu-flags gcc OPTIONS : x86 : pentium : -march=pentium ;
--cpu-flags gcc OPTIONS : x86 : pentium-mmx : -march=pentium-mmx ;
--cpu-flags gcc OPTIONS : x86 : pentiumpro : -march=pentiumpro ;
--cpu-flags gcc OPTIONS : x86 : pentium2 : -march=pentium2 ;
--cpu-flags gcc OPTIONS : x86 : pentium3 : -march=pentium3 ;
--cpu-flags gcc OPTIONS : x86 : pentium3m : -march=pentium3m ;
--cpu-flags gcc OPTIONS : x86 : pentium-m : -march=pentium-m ;
--cpu-flags gcc OPTIONS : x86 : pentium4 : -march=pentium4 ;
--cpu-flags gcc OPTIONS : x86 : pentium4m : -march=pentium4m ;
--cpu-flags gcc OPTIONS : x86 : prescott : -march=prescott ;
--cpu-flags gcc OPTIONS : x86 : nocona : -march=nocona ;
--cpu-flags gcc OPTIONS : x86 : core2 : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : conroe : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : conroe-xe : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : conroe-l : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : allendale : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : wolfdale : -march=core2 -msse4.1 ;
--cpu-flags gcc OPTIONS : x86 : merom : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : merom-xe : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : kentsfield : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : kentsfield-xe : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : yorksfield : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : penryn : -march=core2 ;
--cpu-flags gcc OPTIONS : x86 : corei7 : -march=corei7 ;
--cpu-flags gcc OPTIONS : x86 : nehalem : -march=corei7 ;
--cpu-flags gcc OPTIONS : x86 : corei7-avx : -march=corei7-avx ;
--cpu-flags gcc OPTIONS : x86 : sandy-bridge : -march=corei7-avx ;
--cpu-flags gcc OPTIONS : x86 : core-avx-i : -march=core-avx-i ;
--cpu-flags gcc OPTIONS : x86 : ivy-bridge : -march=core-avx-i ;
--cpu-flags gcc OPTIONS : x86 : haswell : -march=core-avx-i -mavx2 -mfma -mbmi -mbmi2 -mlzcnt ;
--cpu-flags gcc OPTIONS : x86 : broadwell : -march=broadwell ;
--cpu-flags gcc OPTIONS : x86 : skylake : -march=skylake ;
--cpu-flags gcc OPTIONS : x86 : skylake-avx512 : -march=skylake-avx512 ;
--cpu-flags gcc OPTIONS : x86 : cannonlake : -march=skylake-avx512 -mavx512vbmi -mavx512ifma -msha ;
--cpu-flags gcc OPTIONS : x86 : icelake : -march=icelake ;
--cpu-flags gcc OPTIONS : x86 : k6 : -march=k6 ;
--cpu-flags gcc OPTIONS : x86 : k6-2 : -march=k6-2 ;
--cpu-flags gcc OPTIONS : x86 : k6-3 : -march=k6-3 ;
--cpu-flags gcc OPTIONS : x86 : athlon : -march=athlon ;
--cpu-flags gcc OPTIONS : x86 : athlon-tbird : -march=athlon-tbird ;
--cpu-flags gcc OPTIONS : x86 : athlon-4 : -march=athlon-4 ;
--cpu-flags gcc OPTIONS : x86 : athlon-xp : -march=athlon-xp ;
--cpu-flags gcc OPTIONS : x86 : athlon-mp : -march=athlon-mp ;
- ##
--cpu-flags gcc OPTIONS : x86 : k8 : -march=k8 ;
--cpu-flags gcc OPTIONS : x86 : opteron : -march=opteron ;
--cpu-flags gcc OPTIONS : x86 : athlon64 : -march=athlon64 ;
--cpu-flags gcc OPTIONS : x86 : athlon-fx : -march=athlon-fx ;
--cpu-flags gcc OPTIONS : x86 : k8-sse3 : -march=k8-sse3 ;
--cpu-flags gcc OPTIONS : x86 : opteron-sse3 : -march=opteron-sse3 ;
--cpu-flags gcc OPTIONS : x86 : athlon64-sse3 : -march=athlon64-sse3 ;
--cpu-flags gcc OPTIONS : x86 : amdfam10 : -march=amdfam10 ;
--cpu-flags gcc OPTIONS : x86 : barcelona : -march=barcelona ;
--cpu-flags gcc OPTIONS : x86 : bdver1 : -march=bdver1 ;
--cpu-flags gcc OPTIONS : x86 : bdver2 : -march=bdver2 ;
--cpu-flags gcc OPTIONS : x86 : bdver3 : -march=bdver3 ;
--cpu-flags gcc OPTIONS : x86 : bdver4 : -march=bdver4 ;
--cpu-flags gcc OPTIONS : x86 : btver1 : -march=btver1 ;
--cpu-flags gcc OPTIONS : x86 : btver2 : -march=btver2 ;
--cpu-flags gcc OPTIONS : x86 : znver1 : -march=znver1 ;
--cpu-flags gcc OPTIONS : x86 : winchip-c6 : -march=winchip-c6 ;
--cpu-flags gcc OPTIONS : x86 : winchip2 : -march=winchip2 ;
--cpu-flags gcc OPTIONS : x86 : c3 : -march=c3 ;
--cpu-flags gcc OPTIONS : x86 : c3-2 : -march=c3-2 ;
- ##
--cpu-flags gcc OPTIONS : x86 : atom : -march=atom ;
--# Sparc
--cpu-flags gcc OPTIONS : sparc : v7 : -mcpu=v7 : default ;
--cpu-flags gcc OPTIONS : sparc : cypress : -mcpu=cypress ;
--cpu-flags gcc OPTIONS : sparc : v8 : -mcpu=v8 ;
--cpu-flags gcc OPTIONS : sparc : supersparc : -mcpu=supersparc ;
--cpu-flags gcc OPTIONS : sparc : sparclite : -mcpu=sparclite ;
--cpu-flags gcc OPTIONS : sparc : hypersparc : -mcpu=hypersparc ;
--cpu-flags gcc OPTIONS : sparc : sparclite86x : -mcpu=sparclite86x ;
--cpu-flags gcc OPTIONS : sparc : f930 : -mcpu=f930 ;
--cpu-flags gcc OPTIONS : sparc : f934 : -mcpu=f934 ;
--cpu-flags gcc OPTIONS : sparc : sparclet : -mcpu=sparclet ;
--cpu-flags gcc OPTIONS : sparc : tsc701 : -mcpu=tsc701 ;
--cpu-flags gcc OPTIONS : sparc : v9 : -mcpu=v9 ;
--cpu-flags gcc OPTIONS : sparc : ultrasparc : -mcpu=ultrasparc ;
--cpu-flags gcc OPTIONS : sparc : ultrasparc3 : -mcpu=ultrasparc3 ;
- # RS/6000 & PowerPC
--cpu-flags gcc OPTIONS : power : 403 : -mcpu=403 ;
--cpu-flags gcc OPTIONS : power : 505 : -mcpu=505 ;
--cpu-flags gcc OPTIONS : power : 601 : -mcpu=601 ;
--cpu-flags gcc OPTIONS : power : 602 : -mcpu=602 ;
--cpu-flags gcc OPTIONS : power : 603 : -mcpu=603 ;
--cpu-flags gcc OPTIONS : power : 603e : -mcpu=603e ;
--cpu-flags gcc OPTIONS : power : 604 : -mcpu=604 ;
--cpu-flags gcc OPTIONS : power : 604e : -mcpu=604e ;
--cpu-flags gcc OPTIONS : power : 620 : -mcpu=620 ;
--cpu-flags gcc OPTIONS : power : 630 : -mcpu=630 ;
--cpu-flags gcc OPTIONS : power : 740 : -mcpu=740 ;
--cpu-flags gcc OPTIONS : power : 7400 : -mcpu=7400 ;
--cpu-flags gcc OPTIONS : power : 7450 : -mcpu=7450 ;
--cpu-flags gcc OPTIONS : power : 750 : -mcpu=750 ;
--cpu-flags gcc OPTIONS : power : 801 : -mcpu=801 ;
--cpu-flags gcc OPTIONS : power : 821 : -mcpu=821 ;
--cpu-flags gcc OPTIONS : power : 823 : -mcpu=823 ;
--cpu-flags gcc OPTIONS : power : 860 : -mcpu=860 ;
--cpu-flags gcc OPTIONS : power : 970 : -mcpu=970 ;
--cpu-flags gcc OPTIONS : power : 8540 : -mcpu=8540 ;
--cpu-flags gcc OPTIONS : power : power : -mcpu=power ;
--cpu-flags gcc OPTIONS : power : power2 : -mcpu=power2 ;
--cpu-flags gcc OPTIONS : power : power3 : -mcpu=power3 ;
--cpu-flags gcc OPTIONS : power : power4 : -mcpu=power4 ;
--cpu-flags gcc OPTIONS : power : power5 : -mcpu=power5 ;
--cpu-flags gcc OPTIONS : power : powerpc : -mcpu=powerpc ;
--cpu-flags gcc OPTIONS : power : powerpc64 : -mcpu=powerpc64 ;
--cpu-flags gcc OPTIONS : power : rios : -mcpu=rios ;
--cpu-flags gcc OPTIONS : power : rios1 : -mcpu=rios1 ;
--cpu-flags gcc OPTIONS : power : rios2 : -mcpu=rios2 ;
--cpu-flags gcc OPTIONS : power : rsc : -mcpu=rsc ;
--cpu-flags gcc OPTIONS : power : rs64a : -mcpu=rs64 ;
--cpu-flags gcc OPTIONS : s390x : z196 : -march=z196 ;
--cpu-flags gcc OPTIONS : s390x : zEC12 : -march=zEC12 ;
--cpu-flags gcc OPTIONS : s390x : z13 : -march=z13 ;
--cpu-flags gcc OPTIONS : s390x : z14 : -march=z14 ;
- # AIX variant of RS/6000 & PowerPC
- toolset.flags gcc AROPTIONS <address-model>64/<target-os>aix : "-X64" ;
---- a/tools/gcc.py
-+++ b/tools/gcc.py
-@@ -745,125 +745,14 @@
- # x86 and compatible
- flags('gcc', 'OPTIONS', ['<architecture>x86/<address-model>32'], ['-m32'])
- flags('gcc', 'OPTIONS', ['<architecture>x86/<address-model>64'], ['-m64'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'native', ['-march=native'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'i486', ['-march=i486'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'i586', ['-march=i586'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'i686', ['-march=i686'], default=True)
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium', ['-march=pentium'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium-mmx', ['-march=pentium-mmx'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentiumpro', ['-march=pentiumpro'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium2', ['-march=pentium2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium3', ['-march=pentium3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium3m', ['-march=pentium3m'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium-m', ['-march=pentium-m'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium4', ['-march=pentium4'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'pentium4m', ['-march=pentium4m'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'prescott', ['-march=prescott'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'nocona', ['-march=nocona'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'core2', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'conroe', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'conroe-xe', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'conroe-l', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'allendale', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'wolfdale', ['-march=core2', '-msse4.1'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'merom', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'merom-xe', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'kentsfield', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'kentsfield-xe', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'yorksfield', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'penryn', ['-march=core2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'corei7', ['-march=corei7'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'nehalem', ['-march=corei7'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'corei7-avx', ['-march=corei7-avx'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'sandy-bridge', ['-march=corei7-avx'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'core-avx-i', ['-march=core-avx-i'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'ivy-bridge', ['-march=core-avx-i'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'haswell', ['-march=core-avx-i', '-mavx2', '-mfma', '-mbmi', '-mbmi2', '-mlzcnt'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'k6', ['-march=k6'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'k6-2', ['-march=k6-2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'k6-3', ['-march=k6-3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon', ['-march=athlon'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon-tbird', ['-march=athlon-tbird'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon-4', ['-march=athlon-4'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon-xp', ['-march=athlon-xp'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon-mp', ['-march=athlon-mp'])
- ##
--cpu_flags('gcc', 'OPTIONS', 'x86', 'k8', ['-march=k8'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'opteron', ['-march=opteron'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon64', ['-march=athlon64'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon-fx', ['-march=athlon-fx'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'k8-sse3', ['-march=k8-sse3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'opteron-sse3', ['-march=opteron-sse3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'athlon64-sse3', ['-march=athlon64-sse3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'amdfam10', ['-march=amdfam10'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'barcelona', ['-march=barcelona'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'bdver1', ['-march=bdver1'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'bdver2', ['-march=bdver2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'bdver3', ['-march=bdver3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'btver1', ['-march=btver1'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'btver2', ['-march=btver2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'winchip-c6', ['-march=winchip-c6'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'winchip2', ['-march=winchip2'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'c3', ['-march=c3'])
--cpu_flags('gcc', 'OPTIONS', 'x86', 'c3-2', ['-march=c3-2'])
- ##
--cpu_flags('gcc', 'OPTIONS', 'x86', 'atom', ['-march=atom'])
- # Sparc
- flags('gcc', 'OPTIONS', ['<architecture>sparc/<address-model>32'], ['-m32'])
- flags('gcc', 'OPTIONS', ['<architecture>sparc/<address-model>64'], ['-m64'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'v7', ['-mcpu=v7'], default=True)
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'cypress', ['-mcpu=cypress'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'v8', ['-mcpu=v8'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'supersparc', ['-mcpu=supersparc'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'sparclite', ['-mcpu=sparclite'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'hypersparc', ['-mcpu=hypersparc'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'sparclite86x', ['-mcpu=sparclite86x'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'f930', ['-mcpu=f930'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'f934', ['-mcpu=f934'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'sparclet', ['-mcpu=sparclet'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'tsc701', ['-mcpu=tsc701'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'v9', ['-mcpu=v9'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'ultrasparc', ['-mcpu=ultrasparc'])
--cpu_flags('gcc', 'OPTIONS', 'sparc', 'ultrasparc3', ['-mcpu=ultrasparc3'])
- # RS/6000 & PowerPC
- flags('gcc', 'OPTIONS', ['<architecture>power/<address-model>32'], ['-m32'])
- flags('gcc', 'OPTIONS', ['<architecture>power/<address-model>64'], ['-m64'])
--cpu_flags('gcc', 'OPTIONS', 'power', '403', ['-mcpu=403'])
--cpu_flags('gcc', 'OPTIONS', 'power', '505', ['-mcpu=505'])
--cpu_flags('gcc', 'OPTIONS', 'power', '601', ['-mcpu=601'])
--cpu_flags('gcc', 'OPTIONS', 'power', '602', ['-mcpu=602'])
--cpu_flags('gcc', 'OPTIONS', 'power', '603', ['-mcpu=603'])
--cpu_flags('gcc', 'OPTIONS', 'power', '603e', ['-mcpu=603e'])
--cpu_flags('gcc', 'OPTIONS', 'power', '604', ['-mcpu=604'])
--cpu_flags('gcc', 'OPTIONS', 'power', '604e', ['-mcpu=604e'])
--cpu_flags('gcc', 'OPTIONS', 'power', '620', ['-mcpu=620'])
--cpu_flags('gcc', 'OPTIONS', 'power', '630', ['-mcpu=630'])
--cpu_flags('gcc', 'OPTIONS', 'power', '740', ['-mcpu=740'])
--cpu_flags('gcc', 'OPTIONS', 'power', '7400', ['-mcpu=7400'])
--cpu_flags('gcc', 'OPTIONS', 'power', '7450', ['-mcpu=7450'])
--cpu_flags('gcc', 'OPTIONS', 'power', '750', ['-mcpu=750'])
--cpu_flags('gcc', 'OPTIONS', 'power', '801', ['-mcpu=801'])
--cpu_flags('gcc', 'OPTIONS', 'power', '821', ['-mcpu=821'])
--cpu_flags('gcc', 'OPTIONS', 'power', '823', ['-mcpu=823'])
--cpu_flags('gcc', 'OPTIONS', 'power', '860', ['-mcpu=860'])
--cpu_flags('gcc', 'OPTIONS', 'power', '970', ['-mcpu=970'])
--cpu_flags('gcc', 'OPTIONS', 'power', '8540', ['-mcpu=8540'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'power', ['-mcpu=power'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'power2', ['-mcpu=power2'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'power3', ['-mcpu=power3'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'power4', ['-mcpu=power4'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'power5', ['-mcpu=power5'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'powerpc', ['-mcpu=powerpc'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'powerpc64', ['-mcpu=powerpc64'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'rios', ['-mcpu=rios'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'rios1', ['-mcpu=rios1'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'rios2', ['-mcpu=rios2'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'rsc', ['-mcpu=rsc'])
--cpu_flags('gcc', 'OPTIONS', 'power', 'rs64a', ['-mcpu=rs64'])
--cpu_flags('gcc', 'OPTIONS', 's390x', 'z196', ['-march=z196'])
--cpu_flags('gcc', 'OPTIONS', 's390x', 'zEC12', ['-march=zEC12'])
--cpu_flags('gcc', 'OPTIONS', 's390x', 'z13', ['-march=z13'])
--cpu_flags('gcc', 'OPTIONS', 's390x', 'z14', ['-march=z14'])
- # AIX variant of RS/6000 & PowerPC
- flags('gcc', 'OPTIONS', ['<architecture>power/<address-model>32/<target-os>aix'], ['-maix32'])
- flags('gcc', 'OPTIONS', ['<architecture>power/<address-model>64/<target-os>aix'], ['-maix64'])
diff --git a/dev-util/boost-build/files/boost-build-1.71.0-respect-c_ld-flags.patch b/dev-util/boost-build/files/boost-build-1.71.0-respect-c_ld-flags.patch
deleted file mode 100644
index f51abea61..000000000
--- a/dev-util/boost-build/files/boost-build-1.71.0-respect-c_ld-flags.patch
+++ /dev/null
@@ -1,9 +0,0 @@
---- a/engine/build.sh
-+++ b/engine/build.sh
-@@ -439,5 +439,5 @@
- if check_debug_build "$@" ; then B2_CXXFLAGS="${B2_CXXFLAGS_DEBUG}"
- else B2_CXXFLAGS="${B2_CXXFLAGS_RELEASE} -DNDEBUG"
- fi
--echo_run ${B2_CXX} ${CXXFLAGS} ${B2_CXXFLAGS} ${B2_SOURCES} -o b2
-+echo_run ${B2_CXX} ${CPPFLAGS} ${CXXFLAGS} ${LDFLAGS} ${B2_CXXFLAGS} ${B2_SOURCES} -o b2
- echo_run cp b2 bjam
diff --git a/dev-util/boost-build/files/site-config.jam b/dev-util/boost-build/files/site-config.jam
deleted file mode 100644
index 50002cf15..000000000
--- a/dev-util/boost-build/files/site-config.jam
+++ /dev/null
@@ -1,11 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the Boost Software License, Version 1.0.
-# (See accompanying file LICENSE_1_0.txt or http://www.boost.org/LICENSE_1_0.txt)
-
-# Define two new variants to be used when building boost (or separate boost-libs)
-# on Gentoo. The two variants make use of Gentoo-specific optimization and debug-symbols
-# values "none" which are not part of the official boost distribution.
-# DO NOT RELY ON THE FOLLOWING VARIANTS TO BE PRESENT ON OTHER OS!
-variant gentoorelease : release : <optimization>none <debug-symbols>none <runtime-link>shared ;
-variant gentoodebug : debug : <optimization>none <debug-symbols>on <runtime-link>shared ;
-
diff --git a/dev-util/boost-build/metadata.xml b/dev-util/boost-build/metadata.xml
deleted file mode 100644
index e63200f91..000000000
--- a/dev-util/boost-build/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <description>Gentoo Science Project</description>
- </maintainer>
- <upstream>
- <remote-id type="sourceforge">boost</remote-id>
- </upstream>
-</pkgmetadata>